apiVersion: v1
kind: Service
metadata:
  name: {{ include "knoesia-backend.fullname" . }}
  labels:
    {{- include "knoesia-backend.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      # the port which app is listening to
      targetPort: 8080
      protocol: TCP
      name: http
  selector:
    {{- include "knoesia-backend.selectorLabels" . | nindent 4 }}
